import { defineComponent as p, mergeModels as g, useModel as b, createElementBlock as f, openBlock as y, Fragment as x, createVNode as t, unref as e, withCtx as o } from "vue";
import { useI18n as V } from "vue-i18n";
import { c as r, d, e as h } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const F = /* @__PURE__ */ p({
  __name: "DatahubDataTypeImageValueConfiguration",
  props: /* @__PURE__ */ g({
    attribute: {},
    dataTypeInstance: {},
    remoteScopes: {},
    remoteLanguages: {},
    remoteAttributes: {},
    readonly: { type: Boolean }
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(m) {
    const l = b(m, "modelValue", {
      set: ({ maxImages: i, minImages: a, ...n }) => ({
        maxImages: Number(i),
        minImages: Number(a),
        ...n
      })
    }), { t: u } = V();
    return (i, a) => (y(), f(x, null, [
      t(e(r), null, {
        default: o(() => [
          t(e(d), {
            modelValue: l.value.prefixField,
            "onUpdate:modelValue": a[0] || (a[0] = (n) => l.value.prefixField = n),
            label: e(u)("datahub-plugin.images.prefixField"),
            readonly: i.readonly,
            hint: e(u)("datahub-plugin.images.prefixHint"),
            "persistent-hint": ""
          }, null, 8, ["modelValue", "label", "readonly", "hint"])
        ]),
        _: 1
      }),
      t(e(r), null, {
        default: o(() => [
          t(e(d), {
            modelValue: l.value.minImages,
            "onUpdate:modelValue": a[1] || (a[1] = (n) => l.value.minImages = n),
            modelModifiers: { number: !0 },
            label: e(u)("datahub-plugin.images.minImages"),
            type: "number",
            readonly: i.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      t(e(r), null, {
        default: o(() => [
          t(e(d), {
            modelValue: l.value.maxImages,
            "onUpdate:modelValue": a[2] || (a[2] = (n) => l.value.maxImages = n),
            modelModifiers: { number: !0 },
            label: e(u)("datahub-plugin.images.maxImages"),
            type: "number",
            readonly: i.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      t(e(r), null, {
        default: o(() => [
          t(e(d), {
            modelValue: l.value.supportedFileTypes,
            "onUpdate:modelValue": a[3] || (a[3] = (n) => l.value.supportedFileTypes = n),
            label: e(u)("datahub-plugin.images.supportedFileTypes"),
            readonly: i.readonly,
            hint: e(u)("datahub-plugin.images.supportedFileTypesHint"),
            "persistent-hint": ""
          }, null, 8, ["modelValue", "label", "readonly", "hint"])
        ]),
        _: 1
      }),
      t(e(r), null, {
        default: o(() => [
          t(e(h), {
            modelValue: l.value.readOnly,
            "onUpdate:modelValue": a[4] || (a[4] = (n) => l.value.readOnly = n),
            label: i.$t("datahub-ui.dh-table.readOnly"),
            readonly: i.readonly
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      })
    ], 64));
  }
});
function s(m) {
  const l = m;
  l.__i18n = l.__i18n || [], l.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          images: {
            prefixField: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Field for filename prefix" } },
            prefixHint: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "For example 'ID'. An uploaded image will then be renamed from 'image1.jpg' to '442_image1.jpg' given an entity id of 442. For example, images are next to each other in a folder structure." } },
            minImages: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Min. number of images" } },
            maxImages: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Max. number of images" } },
            supportedFileTypes: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Allowed file extensions" } },
            supportedFileTypesHint: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "For example 'jpg'" } }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          images: {
            prefixField: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Feld für Dateinamen-Präfix" } },
            prefixHint: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Zum Beispiel 'ID'. Ein hochgeladenes Bild wird dann von 'image1.jpg' in '442_image1.jpg' umbenannt, wenn die Entitäts-ID 442 angegeben ist. Zum Beispiel wenn Bilder nebeneinander in einer Ordnerstruktur liegen." } },
            minImages: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Min. Anzahl Bilder" } },
            maxImages: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Max. Anzahl Bilder" } },
            supportedFileTypes: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Erlaubte Dateierweiterungen" } },
            supportedFileTypesHint: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Zum Beispiel 'jpg'" } }
          }
        }
      }
    }
  });
}
typeof s == "function" && s(F);
export {
  F as default
};
